> ## Documentation Index
> Fetch the complete documentation index at: https://docs.solomon.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar influenciadores

> Retorna os influenciadores da loja com suas campanhas, links, cupons e custos. Requer o escopo `influencers.read`.



## OpenAPI

````yaml get /influencers
openapi: 3.1.0
info:
  title: Solomon Admin API
  description: API aberta para integração com a Solomon
  license:
    name: MIT
  version: 1.1.0
servers:
  - url: https://admin-api.sandbox.solomon.com.br/admin/v1
  - url: https://admin-api.solomon.com.br/admin/v1
security:
  - ApiKeyAuth: []
paths:
  /influencers:
    get:
      summary: Listar influenciadores
      description: >-
        Retorna os influenciadores da loja com suas campanhas, links, cupons e
        custos. Requer o escopo `influencers.read`.
      operationId: listInfluencers
      responses:
        '200':
          description: Lista de influenciadores
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InfluencersListResponse'
        '403':
          description: Escopo `influencers.read` ausente
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Erro interno do servidor
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    InfluencersListResponse:
      type: object
      properties:
        success:
          type: boolean
        data:
          type: array
          items:
            $ref: '#/components/schemas/Influencer'
        request_id:
          type: string
        timestamp:
          type: string
    Error:
      type: object
      properties:
        success:
          type: boolean
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
        request_id:
          type: string
        timestamp:
          type: string
    Influencer:
      type: object
      properties:
        id:
          type: string
          description: influencer_cost_id
        name:
          type: string
        category:
          type: string
        campaigns:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
        links:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                description: short_code
              campaignId:
                type: string
              url:
                type: string
              short_url:
                type: string
        coupons:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              campaignId:
                type: string
              code:
                type: string
              startDate:
                type: string
                nullable: true
              endDate:
                type: string
                nullable: true
        costs:
          type: array
          items:
            $ref: '#/components/schemas/InfluencerCostRead'
    InfluencerCostRead:
      type: object
      properties:
        id:
          type: string
          description: cost_id
        level:
          type: string
          enum:
            - campanha
            - influenciador
        attribution:
          type: string
          enum:
            - cupom
            - cupom_link
        config:
          type: object
          properties:
            porEntrega:
              type: object
              properties:
                value:
                  type: number
                frequency:
                  type: string
                  description: 'Rótulo pt: pontual|diario|semanal|mensal'
            comissaoFixa:
              type: object
              properties:
                value:
                  type: number
            comissaoVariavel:
              type: object
              properties:
                percentage:
                  type: number
        startDate:
          type: string
          nullable: true
        endDate:
          type: string
          nullable: true
        campaignId:
          type: string
          description: Presente quando `level` = campanha.
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      description: API Key para autenticação

````